﻿#region Using ステートメント

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

#endregion

namespace WpfFontSample
{
    /// <summary>
    /// 段落に使用するフォント種類
    /// </summary>
    enum MessageFontType
    {
        Normal,
        Title,
        Gradient,
        Outline,
    }

    /// <summary>
    /// パラグラフ(段落)
    /// </summary>
    class Paragraph
    {
        #region プロパティ

        /// <summary>
        /// フォント種類の取得/設定
        /// </summary>
        public MessageFontType FontType { get; set; }

        /// <summary>
        /// 段落内の文字列の取得/設定
        /// </summary>
        public string Text { get; set; }

        /// <summary>
        /// フォントの取得/設定
        /// </summary>
        public SpriteFont Font { get; set; }

        /// <summary>
        /// 段落サイズ(ピクセル単位)の取得/設定
        /// </summary>
        public Vector2 Size { get; set; }

        #endregion

        /// <summary>
        /// 段落の初期化
        /// </summary>
        /// <param name="text">段落内の文字列</param>
        public Paragraph(string text)
        {
            Text = text;
        }

        /// <summary>
        /// 段落の初期化
        /// </summary>
        /// <param name="fontType">フォントの種類</param>
        /// <param name="text">段落内の文字列</param>
        public Paragraph(MessageFontType fontType, string text)
        {
            FontType = fontType;
            Text = text;
        }
    }
}
